/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <stdlib.h>
#include <crtdbg.h>
#include "MysticRealms.h"



#define _CRTDBG_MAP_ALLOC

#ifdef _DEBUG
    #define DEBUG_CLIENTBLOCK   new(_CLIENT_BLOCK, __FILE__, __LINE__)
    #define new DEBUG_CLIENTBLOCK
#else
    #define DEBUG_CLIENTBLOCK
#endif  // _DEBUG



/* **********************************************************************************************************************
   WinMain
   -------
   Entry point of the program.
   **********************************************************************************************************************/

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPreviousInstance, LPSTR lpCommandLine, int nCommandShow) {
    MysticRealms game;

    // set the game to run on only one processor (CPU 0)
    DWORD_PTR mask = 1;
    SetThreadAffinityMask(GetCurrentThread(), mask);

    // satisfy the compiler
    hPreviousInstance;
    lpCommandLine;
    nCommandShow;

    // start Mystic Realms
    game.Run(hInstance);

    // check for memory leaks
    _CrtDumpMemoryLeaks();

    return EXIT_SUCCESS;
};