#ifndef VDNPCEDITOR_H
#define VDNPCEDITOR_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <windows.h>
#include <list>
#include "VDNPC.h"
#include "VDSprite.h"
#include "VDError.h"
#include "Resource.h"
using namespace std;



/* **********************************************************************************************************************
   VDNPCEditor
   **********************************************************************************************************************/

class VDNPCEditor {
public:
    VDNPCEditor();
    ~VDNPCEditor();

    HWND CreateNPCEditor(HINSTANCE instance, HWND parentWindow, LPCSTR className);

         HWND GetWindow();
         HWND GetNPCListBox();
         HWND GetNameEditBox();
         HWND GetLoadSpriteButton();
    VDSprite* GetNPCSprite();
         void SetNPCSprite(VDSprite *newSprite);
       LPCSTR GetNPCSpriteLocation();
         void SetNPCSpriteLocation(LPCSTR spriteLocation);
       LPRECT GetNPCSpriteDimensions(LPRECT outRect);
         HWND GetRemoveNPCButton();
         HWND GetSaveNPCButton();
         HWND GetDialogueListBox();
         HWND GetTextEditBox();
         HWND GetTextIDEditBox();
         HWND GetRemoveDialogueButton();
         HWND GetSaveDialogueButton();
         HWND GetOptionsListBox();
         HWND GetTextEditBox2();
         HWND GetTextIDEditBox2();
         HWND GetRemoveOptionButton();
         HWND GetSaveOptionButton();
         HWND GetSaveChangesButton();
private:
         HWND window;
         HWND npcListBox;
         HWND nameEditBox;
         HWND loadSpriteButton;
    VDSprite* npcSprite;
         char npcSpriteLocation[FILE_NAME_MAX_SIZE];
         RECT npcSpriteDimensions;
         HWND removeNPCButton;
         HWND saveNPCButton;
         HWND dialogueListBox;
         HWND textEditBox;
         HWND textIDEditBox;
         HWND removeDialogueButton;
         HWND saveDialogueButton;
         HWND optionListBox;
         HWND textEditBox2;
         HWND textIDEditBox2;
         HWND removeOptionButton;
         HWND saveOptionButton;
         HWND saveChangesButton;
};



#endif  // VDNPCEDITOR_H